/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.concurrent;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class LockAcquisitionFailureException extends RuntimeException
{
   private static final long serialVersionUID = -9086581326875051914L;
   
   public LockAcquisitionFailureException()
   {
   }

   public LockAcquisitionFailureException(String message)
   {
      super(message);
   }

   public LockAcquisitionFailureException(String message, Throwable cause)
   {
      super(message, cause);
   }

   public LockAcquisitionFailureException(Throwable cause)
   {
      super(cause);
   }
}
